#datrec{
	width: 100%;
	height: 30%;
	background-color: #3F0;
	margin:0;
	padding:5px;
	overflow:hidden;
}


table.fixed {
	width: 100%;
	height: 100%;
	color:#333;
	font-size: 12px;
	display:block;
	background-color: #E6E6E6;
	border-collapse: collapse;
	border: 1px solid #bbb;
	margin:0px;
	padding:0px;
	overflow:hidden;
	overflow-x:scroll;
	overflow-y:hidden;
    table-layout: fixed;
}

table.fixed thead{
	width: 100%;
	overflow:hidden;
	background-color: ##C39;
	height: 40px;
	display: inline-block;
}

table.fixed tbody{
	width: 100%;
	height:  calc( 100% - 40px );
	overflow-x:hidden;
	overflow-y:scroll;	
	display: inline-block;
}
			
table.fixed tr {
	display:block;
	border: 1px solid #60C;
	width: 100% !important;
	cursor:pointer;
}

table.fixed th {
	background-color: lightgrey;
	border-width: 1px;
}

table.fixed th, 
table.fixed td {
	margin:0;
	padding:0;
	padding: 2px 4px;
	text-align: center;
	word-wrap: break-word;
}

#datrec table.fixed th, 
#datrec table.fixed td {
	display:table-cell;
	border: 1px solid #bbb;
	padding: 5px 7px;
	width: 90px;
}

#datrec table.fixed th#ms + th + th , 
#datrec table.fixed th    + td + td ,
#datrec table.fixed th#ms + th + th + th + th, 
#datrec table.fixed th    + td + td + td + td{
	width: 255px !important;
	border: 2px solid #C00;
}


#constrainer table.fixed tbody{
	height:  calc( 100% - 25px );	
}

#constrainer table.fixed th, 
#constrainer table.fixed td {
	min-width: 65px;
}

#constrainer table.fixed th + th, 
#constrainer table.fixed td + td{
	min-width: 115px;
}

#constrainer table.fixed th + th + th, 
#constrainer table.fixed td + td + td{
	min-width: 90px;
}

table.fixed tr.npatDIV:nth-child(even) {
	background-color: #FFF;
}

table.fixed tr.npatDIV:nth-child(odd) {
	background: #DFDFDF;
}

table.fixed tr.npatDIV:hover {
    background: #EAEAEA;
}

table.fixed tr.updsel {
	border-left: #F00 8px solid;
}

table.fixed tr.patDIV:nth-child(even) {
	background-color: #FFCACA;
}

table.fixed tr.patDIV:nth-child(odd) {
	background: #FFE1E1;
}

table.fixed tr.patDIV:hover {
    background: #FFD2D2;
}


html>body table.fixed th + th + th + th + th + th + th  {
	/*width: 80px;*/
}



th span.speeding {
	font-size: 28px;
    color: red;
}

th span.stop {
	font-size: 28px;
    color: yellow;
}
